//
//  FollowersProtocols.swift
//  VKExt
//
//  Created Ярослав Стрельников on 31.07.2020.
//  Copyright © 2020 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by Juanpe Catalán @JuanpeCMiOS
//

import Foundation
import UIKit

//MARK: Wireframe -
protocol FollowersWireframeProtocol: class {
    
}
//MARK: Presenter -
protocol FollowersPresenterProtocol: class {
    func start(request: FriendModel.Request.RequestType)
    func presentData(response: FriendModel.Response.ResponseType)
}

//MARK: Interactor -
protocol FollowersInteractorProtocol: class {
    var presenter: FollowersPresenterProtocol? { get set }
    func start(request: FriendModel.Request.RequestType)
}

//MARK: View -
protocol FollowersViewProtocol: class {
    var presenter: FollowersPresenterProtocol? { get set }
    func displayData(viewModel: FriendModel.ViewModel.ViewModelData)
}
